## hkl 5.0.0.2875

=== contrib/haskell/data/test/Makefile ===
mars:
#	cd ../..; /usr/bin/time -v cabal run binoculars-ng -- +RTS -N5 -RTS process data/test/config_mars_ruche_rel_flyscan.ini
	cd ../..; cabal run binoculars-ng -- process /nfs/ruche-mars/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 173
	cd ../..; cabal run binoculars-ng -- process /nfs/ruche-mars/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 153
	cd ../..; cabal run binoculars-ng -- process /nfs/ruche-mars/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 132
	cd ../..; cabal run binoculars-ng -- process /nfs/ruche-mars/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 105
	cd ../..; cabal run binoculars-ng -- process /nfs/ruche-mars/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 78
	cd ../..; cabal run binoculars-ng -- process /nfs/ruche-mars/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 75

ord05133:
#	cd ../..; cabal run binoculars-ng -- process /nfs/ruche/sixs-soleil/com-sixs/2021/Run4/20210628_Torrelles/binoculars/config2.txt 1303
#	cd ../..; /usr/bin/time -v cabal run binoculars-ng -- process data/test/config_ord05133_int32.cfg 1303-1312
#	valgrind --tool=massif /home/picca/src/repo.or.cz/hkl/contrib/haskell/dist-newstyle/build/x86_64-linux/ghc-8.8.4/hkl-0.1.0.0/x/binoculars-ng/build/binoculars-ng/binoculars-ng process config_ord05133_flymedh.ini 1303-1312
#	valgrind --tool=helgrind /home/picca/src/repo.or.cz/hkl/contrib/haskell/dist-newstyle/build/x86_64-linux/ghc-8.8.4/hkl-0.1.0.0/x/binoculars-ng/build/binoculars-ng/binoculars-ng process config_ord05133_int32.cfg  1303-1306
#	cd ../..; cabal run binoculars-ng -- process /nfs/ruche-sixs/sixs-soleil/com-sixs/2021/Run4/Arthur_UHV/binoculars/config210_m1018_32h_Qxyz_Vhkl.txt 134-160
#	cd ../..; cabal run binoculars-ng -- process data/test/config_ord05133_110_m1018_32h_Qxyz_Vhkl.ini 272-285,289-316
#	cd ../..; cabal run binoculars-ng -- process data/test/config_ord05133_110_m1018_32h_Qxyz_Vhkl.ini 272-273
#	/usr/bin/time /tmp/binoculars-ng +RTS -N4 -- process ~/src/repo.or.cz/hkl/contrib/haskell/data/test/config_ord05133_flymedh.ini 1303-1312
#	/usr/bin/time /tmp/binoculars-ng-prof +RTS -N4 -- process ~/src/repo.or.cz/hkl/contrib/haskell/data/test/config_ord05133_flymedh.ini 1303-1312
#	cd ../..; cabal run binoculars-ng -- process data/test/config_ord05133_flymedh.ini 1303-1312
#	cd ../..; /usr/bin/time -v cabal run binoculars-ng -- process data/test/config_ord05133_ruche_mars_flyscan.ini
#	cd ../..; /usr/bin/time -v cabal run binoculars-ng -- +RTS -N -RTS process data/test/config_ord05133_ruche_uhv_big.in
	cd ../..; /usr/bin/time -v cabal run binoculars-ng -- +RTS -N -RTS process data/test/config_ord05133_ruche_flymedv_3.ini

sixs:
	#cd ../..; gdb --args ~picca/src/repo.or.cz/hkl/contrib/haskell/dist-newstyle/build/x86_64-linux/ghc-8.8.4/hkl-0.1.0.0/x/binoculars-ng/build/binoculars-ng/binoculars-ng process data/test/config_sixs_ruche_uhv.ini
	cd ../..; /usr/bin/time -v cabal run binoculars-ng -- +RTS -N4 -RTS process data/test/config_sixs_ruche_uhv.ini
	#cd ../..; /usr/bin/time -v cabal run binoculars-ng -- +RTS -N4 -RTS process data/test/config_sixs_ruche_flymedv_2.ini

ssd:
#	cd ../..; /usr/bin/time -v cabal run binoculars-ng -- process data/test/config_ssd_cristal.ini
	cd /home/picca/tests-datas/binoculars/sixs/int32/ && ~picca/src/repo.or.cz/hkl/contrib/haskell/dist-newstyle/build/x86_64-linux/ghc-8.8.4/hkl-0.1.0.0/x/binoculars-ng/build/binoculars-ng/binoculars-ng process config.cfg

#binoculars process config_m1018_32h_Qxyz.txt 173-187- 190-195
#binoculars process config_m1018_32h_Qxyz.txt 217-224
#binoculars process config_m1018_32h_HKL.txt 103-132
#binoculars process config_m1018_32h_HKL.txt 173-187 190-195
#binoculars process config_m1018_32h_HKL.txt 228-257
#binoculars process config110tige1_m1018_32h_Qxyz_Vhkl.txt 173-187 190-195
#binoculars process config110tige2_m1018_32h_Qxyz_Vhkl.txt 40-53 55-68 71-100
#binoculars process config210_m1018_32h_Qxyz_Vhkl.txt 103-132
#binoculars process config210_m1018_32h_Qxyz_Vhkl.txt 134 137 140 143 146 149 152 155 158
#binoculars process config210_m1018_32h_Qxyz_Vhkl.txt 259
#binoculars process config210_m1018_32h_Qxyz_Vhkl.txt 262-269
#binoculars process config_m1018_32h_Qxyz_Vhkl.txt 105-106 129 131
#binoculars process config_m1018_32h_Qxyz.txt 105-106 129 131
#binoculars process configV2_m1018_32h_Qxyz_Vhkl.txt 45-48 62-63 67-68
#binoculars process config_m1018_32h_HKL.txt 33-36
.PHONI: mars ord05133 ssd sixs

## hkl 4.0.3

=== debian/changelog ===
hkl (4.0.3-4ubuntu1) trusty; urgency=low

  * Use dh-autoreconf for newer arches, resolving FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 16 Feb 2014 11:13:57 -0500

hkl (4.0.3-4) unstable; urgency=low

  * debian/control
    - use the right debhelper version
  * debian/libhkl4.symbols
    - remove a symbol with-debian-revision

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 18 Jun 2011 17:26:18 +0200

hkl (4.0.3-3) unstable; urgency=low

  * debian/control
    - remove the Dm-Upload-Allowed (I am DD now)
    - Bump Standards-Version to 3.9.2 (nothing to do)
    - update the Vcs-* fields with the new anonscm
  * debian/copyright
    - use the dep5
    - update the copyright
  * update the patch information
  * fix two lintian warnings
  * add the symbols file

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 14 Jun 2011 21:02:00 +0200

hkl (4.0.3-2) unstable; urgency=low

  * fix the watch file due to an upgrade of the upstream website
  * fix the FTBS on mips by reducing the number of bench test
  * upgrade to 3.9.0 policy (nothing to do)
  * use the right homepage
  * fix the libhkl4 section.

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Mon, 05 Jul 2010 14:19:53 +0200

hkl (4.0.3-1) unstable; urgency=low

  * Initial release. (Closes: #569153)
  * Thanks to Justin B Rye for package description review

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Sun, 07 Feb 2010 12:39:15 +0100

=== debian/control ===
Source: hkl
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Homepage: http://www.synchrotron-soleil.fr/portal/page/portal/Instrumentation/EnvironnementInstrumental/hkl
Standards-Version: 3.9.2
Vcs-Browser: http://anonscm.debian.org/git/debian-science/packages/hkl.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/hkl.git
Build-Depends: debhelper (>= 8.0.0), libgsl0-dev, libgtkmm-2.4-dev, dh-autoreconf

Package: ghkl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: diffractometer computation control application
 The hkl library is a framework for diffraction computation and
 diffractometer control, heavily used at the SOLEIL synchrotron. It
 supports various types of diffractometer geometry: Eulerian 4-circle,
 Eulerian 6-circle, kappa 4-circle, kappa 6-circle, and z-axis
 geometry. For each of these it provides several numerically computed
 modes, such as bisector and constant psi.
 .
 This package provides a gui on top of the hkl library.

Package: libhkl4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Suggests: libhkl-doc
Description: diffractometer computation control library
 The hkl library is a framework for diffraction computation and
 diffractometer control, heavily used at the SOLEIL synchrotron. It
 supports various types of diffractometer geometry: Eulerian 4-circle,
 Eulerian 6-circle, kappa 4-circle, kappa 6-circle, and z-axis
 geometry. For each of these it provides several numerically computed
 modes, such as bisector and constant psi.
 .
 This package provides the runtime hkl library.

Package: libhkl-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libhkl4 (= ${binary:Version}), libgsl0-dev, dpkg (>= 1.15.4) | install-info
Description: diffractometer computation control library - development files
 The hkl library is a framework for diffraction computation and
 diffractometer control, heavily used at the SOLEIL synchrotron. It
 supports various types of diffractometer geometry: Eulerian 4-circle,
 Eulerian 6-circle, kappa 4-circle, kappa 6-circle, and z-axis
 geometry. For each of these it provides several numerically computed
 modes, such as bisector and constant psi.
 .
 This package provides everything needed to link against hkl.

Package: libhkl-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, libhkl4 (= ${binary:Version})
Description: diffractometer computation control library - debug symbols
 The hkl library is a framework for diffraction computation and
 diffractometer control, heavily used at the SOLEIL synchrotron. It
 supports various types of diffractometer geometry: Eulerian 4-circle,
 Eulerian 6-circle, kappa 4-circle, kappa 6-circle, and z-axis
 geometry. For each of these it provides several numerically computed
 modes, such as bisector and constant psi.
 .
 This package provides the debug files for hkl.

Package: libhkl-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: diffractometer computation control library - documentation
 The hkl library is a framework for diffraction computation and
 diffractometer control, heavily used at the SOLEIL synchrotron. It
 supports various types of diffractometer geometry: Eulerian 4-circle,
 Eulerian 6-circle, kappa 4-circle, kappa 6-circle, and z-axis
 geometry. For each of these it provides several numerically computed
 modes, such as bisector and constant psi.
 .
 This package provides the documentation for hkl.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS += -Wl,--as-needed
%:
	dh $@  --with autoreconf

get-orig-source:
	uscan --verbose --force-download

override_dh_strip:
	dh_strip -a --dbg-package=libhkl-dbg

.PHONY: get-orig-source

## hkl 4.99.99.1950

=== debian/changelog ===
hkl (4.99.99.1950-1) unstable; urgency=medium

  * Imported Upstream version 4.99.99.1950
  * Fix an FTBFS on sparc
  * Multi-arch also the gir package
  * Register documentation with doc-base
  * Add the symbols file for libhkl5

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 07 Jul 2015 13:29:18 +0200

hkl (4.99.99.1949-1~exp1) experimental; urgency=medium

  * Imported Upstream version 4.99.99.1949
  * debian/rules
    - Fix FTBFS on wheezy using MPLCONFIGDIR

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 03 Jul 2015 16:11:41 +0200

hkl (4.99.99.1946-1~exp1) experimental; urgency=low

  * Imported Upstream version 4.99.99.1946
  * debian/copyright updated
  * debian/control
    - Bump Standards-Version to 3.9.6 (nothing to do)
    - switch to compat level 9
    - multi-arch
    - New binary packages, libhkl5, gir1.2-hkl-5.0
    - Deleted binary package, libhkl4
    - Build-Depends:
      - added:
        + dh-autoreconf
        + emacs
        + gobject-introspection
        + gtk-doc-tools
        + libbullet-dev
        + libg3d-dev
        + libg3d-plugins,
        + libgirepository1.0-dev
        + libgtk2.0-dev
        + libgtkglext1-dev
        + libyaml-dev
        + python-gi
        + python-matplotlib
        + python-tk
      - deleted:
        - libgtkmm-1.2-dev
  * debian/rules
    - use dh_install --fail-missing to check for uninstalled files.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 30 Jun 2015 10:22:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,33 @@
 Source: hkl
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               emacs24 | org-mode (>=8.0.7-2~),
+               gobject-introspection,
+               gtk-doc-tools,
+               libbullet-dev,
+               libg3d-dev,
+               libg3d-plugins,
+               libgirepository1.0-dev,
+               libgsl0-dev,
+               libgtk2.0-dev,
+               libgtkglext1-dev,
+               libyaml-dev,
+               python-gi,
+               python-matplotlib,
+	       python-tk
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/hkl.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/hkl.git
 Homepage: http://www.synchrotron-soleil.fr/portal/page/portal/Instrumentation/EnvironnementInstrumental/hkl
-Standards-Version: 3.9.2
-Vcs-Browser: http://anonscm.debian.org/git/debian-science/packages/hkl.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/hkl.git
-Build-Depends: debhelper (>= 8.0.0), libgsl0-dev, libgtkmm-2.4-dev, dh-autoreconf
 
 Package: ghkl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: diffractometer computation control application
  The hkl library is a framework for diffraction computation and
  diffractometer control, heavily used at the SOLEIL synchrotron. It
@@ -23,10 +38,13 @@
  .
  This package provides a gui on top of the hkl library.
 
-Package: libhkl4
+Package: libhkl5
+Architecture: any
+Multi-Arch: same
 Section: libs
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends} 
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: libhkl-doc
 Description: diffractometer computation control library
  The hkl library is a framework for diffraction computation and
@@ -39,9 +57,15 @@
  This package provides the runtime hkl library.
 
 Package: libhkl-dev
+Architecture: any
+Multi-Arch: same
 Section: libdevel
-Architecture: any
-Depends: ${misc:Depends}, libhkl4 (= ${binary:Version}), libgsl0-dev, dpkg (>= 1.15.4) | install-info
+Depends: ${misc:Depends},
+         gir1.2-hkl-5.0 (= ${binary:Version}),
+         install-info,
+         libgsl0-dev,
+         libhkl5 (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
 Description: diffractometer computation control library - development files
  The hkl library is a framework for diffraction computation and
  diffractometer control, heavily used at the SOLEIL synchrotron. It
@@ -53,9 +77,12 @@
  This package provides everything needed to link against hkl.
 
 Package: libhkl-dbg
+Architecture: any
+Multi-Arch: same
 Section: debug
-Architecture: any
-Depends: ${misc:Depends}, libhkl4 (= ${binary:Version})
+Depends: libhkl5 (= ${binary:Version}),
+         ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: diffractometer computation control library - debug symbols
  The hkl library is a framework for diffraction computation and
  diffractometer control, heavily used at the SOLEIL synchrotron. It
@@ -67,8 +94,8 @@
  This package provides the debug files for hkl.
 
 Package: libhkl-doc
+Architecture: all
 Section: doc
-Architecture: all
 Depends: ${misc:Depends}
 Description: diffractometer computation control library - documentation
  The hkl library is a framework for diffraction computation and
@@ -79,3 +106,22 @@
  modes, such as bisector and constant psi.
  .
  This package provides the documentation for hkl.
+
+Package: gir1.2-hkl-5.0
+Architecture: any
+Multi-Arch: same
+Section: introspection
+Depends: ${misc:Depends},
+         ${gir:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: diffractometer computation control library - gir binding
+ The hkl library is a framework for diffraction computation and
+ diffractometer control, heavily used at the SOLEIL synchrotron. It
+ supports various types of diffractometer geometry: Eulerian 4-circle,
+ Eulerian 6-circle, kappa 4-circle, kappa 6-circle, and z-axis
+ geometry. For each of these it provides several numerically computed
+ modes, such as bisector and constant psi.
+ .
+  This package can be used by other packages using the GIRepository format to
+ generate dynamic bindings.

## hkl 4.99.99.1955

=== debian/changelog ===
hkl (4.99.99.1955-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * actually close the gsl-2 bug

  [ Picca Frédéric-Emmanuel ]
  * debian/control
    - Modify the Build-Depends in order to make the package backportable.
    - ligsl-dev -> libgsl-dev | libgsl0-dev

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 03 Feb 2016 16:09:02 +0100

hkl (4.99.99.1955-1.1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Non-maintainer upload.
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    (Closes: #807206)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 18 Jan 2016 13:13:12 +0100

hkl (4.99.99.1955-1) unstable; urgency=medium

  * Imported Upstream version 4.99.99.1955

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 15 Jul 2015 16:09:46 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libg3d-dev,
                libg3d-plugins,
                libgirepository1.0-dev,
-               libgsl0-dev,
+               libgsl-dev | libgsl0-dev,
                libgtk2.0-dev,
                libgtkglext1-dev,
                libyaml-dev,
@@ -63,7 +63,7 @@
 Depends: ${misc:Depends},
          gir1.2-hkl-5.0 (= ${binary:Version}),
          install-info,
-         libgsl0-dev,
+         libgsl-dev | libgsl0-dev,
          libhkl5 (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Description: diffractometer computation control library - development files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export MPLCONFIGDIR=$(CURDIR)

LDFLAGS += -Wl,--as-needed
%:
	dh $@ --with autoreconf,gir --dbg-package=libhkl-dbg

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc --enable-hkl3d --disable-static --htmldir=/usr/share/doc/libhkl-doc

override_dh_install:
	dh_install --fail-missing -Xlibhkl.la

get-orig-source:
	uscan --verbose --force-download

.PHONY: get-orig-source

## hkl 5.0.0.2080

=== debian/changelog ===
hkl (5.0.0.2080-1) unstable; urgency=medium

  * Imported Upstream version 5.0.0.2080

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 27 Apr 2016 09:23:31 +0200

## hkl 5.0.0.2173

=== debian/changelog ===
hkl (5.0.0.2173-2ubuntu2) artful; urgency=medium

  * No-change rebuild against libbullet2.86

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 26 Jul 2017 20:07:45 +0000

hkl (5.0.0.2173-2ubuntu1) zesty; urgency=medium

  * Only build the doc package in the indep build, to decouple FTBFS from
    emacs.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 24 Nov 2016 11:55:22 +0000

hkl (5.0.0.2173-2build2) zesty; urgency=medium

  * Rebuild against new 2.83.7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Nov 2016 08:47:01 +0100

hkl (5.0.0.2173-2build1) zesty; urgency=medium

  * Rebuild against new bullet 2.83.7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Nov 2016 10:10:45 +0100

hkl (5.0.0.2173-2) unstable; urgency=medium

  * Build-Depends fixed for jessie-backports.
    (libgsl-dev | libgsl0-dev -> libgsl0-dev | libgsl-dev)

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Mon, 31 Oct 2016 10:30:48 +0100

hkl (5.0.0.2173-1) unstable; urgency=medium

  * New upstream version 5.0.0.2173
  * debian/control
    - Bump Standards-Version to 3.9.6 (nothing to do)
    - Remove Multi-Arch same for libhkl-dev (Closes: #822840)
  * debian/rules
    - Use --with autoreconf (Closes: #727894)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 19 Sep 2016 22:32:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: hkl
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: extra
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
-               emacs24 | org-mode (>=8.0.7-2~),
                gobject-introspection,
-               gtk-doc-tools,
                libbullet-dev,
                libg3d-dev,
                libg3d-plugins,
                libgirepository1.0-dev,
-               libgsl-dev | libgsl0-dev,
+               libgsl0-dev | libgsl-dev,
                libgtk2.0-dev,
                libgtkglext1-dev,
                libyaml-dev,
                python-gi,
                python-matplotlib,
-	       python-tk
-Standards-Version: 3.9.6
+               python-tk
+Build-Depends-Indep: emacs24 | org-mode (>= 8.0.7-2~),
+                     gtk-doc-tools
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/hkl.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/hkl.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/hkl.git
 Homepage: http://www.synchrotron-soleil.fr/portal/page/portal/Instrumentation/EnvironnementInstrumental/hkl
 
 Package: ghkl
@@ -44,8 +45,8 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Suggests: libhkl-doc
 Pre-Depends: ${misc:Pre-Depends}
-Suggests: libhkl-doc
 Description: diffractometer computation control library
  The hkl library is a framework for diffraction computation and
  diffractometer control, heavily used at the SOLEIL synchrotron. It
@@ -58,7 +59,6 @@
 
 Package: libhkl-dev
 Architecture: any
-Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
          gir1.2-hkl-5.0 (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,10 @@
 %:
 	dh $@ --with autoreconf,gir --dbg-package=libhkl-dbg
 
-override_dh_auto_configure:
+override_dh_auto_configure-arch:
+	dh_auto_configure -- --enable-hkl3d --disable-static --disable-hkl-doc --disable-gtk-doc
+
+override_dh_auto_configure-indep:
 	dh_auto_configure -- --enable-gtk-doc --enable-hkl3d --disable-static --htmldir=/usr/share/doc/libhkl-doc
 
 override_dh_install:

## hkl 5.0.0.2449

=== debian/changelog ===
hkl (5.0.0.2449-1) unstable; urgency=medium

  * New upstream version 5.0.0.2449 (Closes: #889878)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 08 Feb 2018 11:32:39 +0100

hkl (5.0.0.2447-1) unstable; urgency=medium

  * New upstream version 5.0.0.2447 (Closes: #868481)
  * d/control
    - Bump Standards-Version to 4.1.3 (extra -> optional)
    - Replaced emacs24 -> emacs (Closes: #870664)
    - Added gnuplot-nox, gnuplot-mode

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 07 Feb 2018 15:06:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: hkl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
+               emacs | org-mode (>= 8.0.7-2~),
+               gnuplot-nox,
                gobject-introspection,
+               gtk-doc-tools,
                libbullet-dev,
                libg3d-dev,
                libg3d-plugins,
@@ -18,9 +20,7 @@
                python-gi,
                python-matplotlib,
                python-tk
-Build-Depends-Indep: emacs24 | org-mode (>= 8.0.7-2~),
-                     gtk-doc-tools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/hkl.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/hkl.git
 Homepage: http://www.synchrotron-soleil.fr/portal/page/portal/Instrumentation/EnvironnementInstrumental/hkl
@@ -60,11 +60,11 @@
 Package: libhkl-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends},
-         gir1.2-hkl-5.0 (= ${binary:Version}),
+Depends: gir1.2-hkl-5.0 (= ${binary:Version}),
          install-info,
          libgsl-dev | libgsl0-dev,
-         libhkl5 (= ${binary:Version})
+         libhkl5 (= ${binary:Version}),
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: diffractometer computation control library - development files
  The hkl library is a framework for diffraction computation and
@@ -111,8 +111,8 @@
 Architecture: any
 Multi-Arch: same
 Section: introspection
-Depends: ${misc:Depends},
-         ${gir:Depends},
+Depends: ${gir:Depends},
+         ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: diffractometer computation control library - gir binding

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export MPLCONFIGDIR=$(CURDIR)

LDFLAGS += -Wl,--as-needed
%:
	dh $@ --with autoreconf,gir --dbg-package=libhkl-dbg

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc --enable-hkl3d --htmldir=/usr/share/doc/libhkl-doc

override_dh_install:
	dh_install --fail-missing -Xlibhkl.la -Xlibhkl.a

get-orig-source:
	uscan --verbose --force-download

.PHONY: get-orig-source

=== debian/watch ===
version=3
http://www.tango-controls.org/Members/picca/hkl-(.*)\.tar\.gz

## hkl 5.0.0.2456

=== debian/changelog ===
hkl (5.0.0.2456-1) unstable; urgency=medium

  * New upstream version 5.0.0.2456
  * Use secure URI in Homepage field.
  * d/control
    - Build-Depends:
      - Added: elpa-htmlize thanks to Sean Whitton (Closes: #916867)
      - Droped: dh-autoconf.
    - Bump Standards-Version to 4.2.1 (nothing to do)
  * d/rules: run autogen.sh via dh_override_autoreconf
  * d/watch: Use the git mode
  * d/gitlab-ci.yml: Added for salsa CI.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 04 Feb 2019 15:31:54 +0100

hkl (5.0.0.2449-2) unstable; urgency=medium

  * fix for real (Closes: #889878) and a big thanks to
    Bernhard Übelacker for his investigations
  * d/patches
    - make-test-for-pointer-safe-makecontext-succeed (added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 04 Aug 2018 10:42:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11~),
                emacs | org-mode (>= 8.0.7-2~),
+               elpa-htmlize,
                gnuplot-nox,
                gobject-introspection,
                gtk-doc-tools,
@@ -20,10 +20,10 @@
                python-gi,
                python-matplotlib,
                python-tk
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/hkl.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/hkl.git
-Homepage: http://www.synchrotron-soleil.fr/portal/page/portal/Instrumentation/EnvironnementInstrumental/hkl
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/science-team/hkl
+Vcs-Git: https://salsa.debian.org/science-team/hkl.git
+Homepage: https://www.synchrotron-soleil.fr/portal/page/portal/Instrumentation/EnvironnementInstrumental/hkl
 
 Package: ghkl
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,10 @@
 
 LDFLAGS += -Wl,--as-needed
 %:
-	dh $@ --with autoreconf,gir --dbg-package=libhkl-dbg
+	dh $@ --with=gir --dbg-package=libhkl-dbg
+
+override_dh_autoreconf:
+	dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-gtk-doc --enable-hkl3d --htmldir=/usr/share/doc/libhkl-doc

## hkl 5.0.0.2569

=== debian/changelog ===
hkl (5.0.0.2569-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:04:53 +0100

hkl (5.0.0.2569-1) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat.
  * New upstream version 5.0.0.2569
  * d/control:
    - Build-Depends: Added libgtk-3-dev.
    - Switched to Python3 (Closes: #943123)
    - Bump Standards-Version to 4.4.1 (nothing to do)
    - Switched to compat level 12.
    - Removed obsolete libhkl5-dbg package.
  * d/p/0001-889878-make-test-for-pointer-safe-makecontext-succee.patch:
  * d/rules:
    - removed dh_override_autoreconf
    - clean the sgml file (Closes: #939950)
    - Activated hardening=+all
    Removed since the real bug was fixed upstream.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 11 Dec 2019 18:18:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               emacs | org-mode (>= 8.0.7-2~),
+Build-Depends: debhelper-compat (= 12),
+               emacs | org-mode,
                elpa-htmlize,
                gnuplot-nox,
                gobject-introspection,
@@ -14,13 +14,13 @@
                libg3d-plugins,
                libgirepository1.0-dev,
                libgsl0-dev | libgsl-dev,
-               libgtk2.0-dev,
+               libgtk-3-dev,
                libgtkglext1-dev,
                libyaml-dev,
-               python-gi,
-               python-matplotlib,
-               python-tk
-Standards-Version: 4.2.1
+               python3-gi,
+               python3-matplotlib,
+               python3-tk
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/hkl
 Vcs-Git: https://salsa.debian.org/science-team/hkl.git
 Homepage: https://www.synchrotron-soleil.fr/portal/page/portal/Instrumentation/EnvironnementInstrumental/hkl
@@ -76,23 +76,6 @@
  .
  This package provides everything needed to link against hkl.
 
-Package: libhkl-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Depends: libhkl5 (= ${binary:Version}),
-         ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Description: diffractometer computation control library - debug symbols
- The hkl library is a framework for diffraction computation and
- diffractometer control, heavily used at the SOLEIL synchrotron. It
- supports various types of diffractometer geometry: Eulerian 4-circle,
- Eulerian 6-circle, kappa 4-circle, kappa 6-circle, and z-axis
- geometry. For each of these it provides several numerically computed
- modes, such as bisector and constant psi.
- .
- This package provides the debug files for hkl.
-
 Package: libhkl-doc
 Architecture: all
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export MPLCONFIGDIR=$(CURDIR)

LDFLAGS += -Wl,--as-needed
%:
	dh $@ --with=gir

override_dh_clean:
	rm -f Documentation/api/hkl-docs.sgml
	dh_clean

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc --enable-hkl3d --htmldir=/usr/share/doc/libhkl-doc

override_dh_missing:
	dh_missing --fail-missing -Xlibhkl.la -Xlibhkl.a

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" \
https://repo.or.cz/hkl.git \
refs/tags/v([\d\.]+) debian uupdate

## hkl 5.0.0.2616

=== debian/changelog ===
hkl (5.0.0.2616-1) unstable; urgency=medium

  * New upstream version 5.0.0.2616 (Closes: #947400)
    The fix was tested on an arm64 porter box.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 29 Apr 2020 21:20:00 +0200

hkl (5.0.0.2615-1) unstable; urgency=medium

  * New upstream version 5.0.0.2615
  * Bug fix: "hkl FTBFS on arm64: sirius segfaults", thanks to Adrian Bunk
    (Closes: #947400).
  * Bug fix: "FTBFS: ../../hkl/ccan/generator/generator.h:23:2: error:
    #error Generators require coroutines", thanks to Lucas Nussbaum
    (Closes: #929720).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 29 Apr 2020 18:27:45 +0200

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,10 @@
 	rm -f Documentation/api/hkl-docs.sgml
 	dh_clean
 
+override_dh_autoreconf:
+	./autogen.sh
+	dh_autoreconf
+
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-gtk-doc --enable-hkl3d --htmldir=/usr/share/doc/libhkl-doc

## hkl 5.0.0.2620

=== debian/changelog ===
hkl (5.0.0.2620-1) unstable; urgency=medium

  * Added Autopkgtest.
  * d/control: Added libglib2-dev to libhkl-dev Depends.
  * d/rules: Removed --as-needed
  * Fix day-of-week for changelog entry 4.99.99.1946-1~exp1.
  * Update standards version to 4.5.0, no changes needed.
  * New upstream version 5.0.0.2620

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 01 May 2020 18:46:19 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python3-gi,
                python3-matplotlib,
                python3-tk
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/hkl
 Vcs-Git: https://salsa.debian.org/science-team/hkl.git
 Homepage: https://www.synchrotron-soleil.fr/portal/page/portal/Instrumentation/EnvironnementInstrumental/hkl
@@ -62,6 +62,7 @@
 Section: libdevel
 Depends: gir1.2-hkl-5.0 (= ${binary:Version}),
          install-info,
+         libglib2.0-dev,
          libgsl-dev | libgsl0-dev,
          libhkl5 (= ${binary:Version}),
          ${misc:Depends}
@@ -79,7 +80,7 @@
 Package: libhkl-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libjs-mathjax
 Description: diffractometer computation control library - documentation
  The hkl library is a framework for diffraction computation and
  diffractometer control, heavily used at the SOLEIL synchrotron. It

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export MPLCONFIGDIR=$(CURDIR)

%:
	dh $@ --with=gir

override_dh_clean:
	rm -f Documentation/api/hkl-docs.sgml
	dh_clean

override_dh_autoreconf:
	./autogen.sh
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc \
			     --enable-hkl3d \
			     --htmldir=/usr/share/doc/libhkl-doc \
                             --with-mathjax=/usr/share/javascript/mathjax/MathJax.js?config=TeX-AMS_HTML

override_dh_missing:
	dh_missing --fail-missing -Xlibhkl.la -Xlibhkl.a

## hkl 5.0.0.2661

=== debian/changelog ===
hkl (5.0.0.2661-1) unstable; urgency=medium

  * New upstream version 5.0.0.2661

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 02 Oct 2020 16:13:30 +0200

hkl (5.0.0.2658-1) unstable; urgency=medium

  * New upstream version 5.0.0.2658
  * d/control: put the doc in the Build-Depends-Indep (Closes: #845539)
  * d/control: use the right Homepage.
  * d/rules: do not create symbols for the binoculars library.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 25 Sep 2020 10:54:41 +0200

hkl (5.0.0.2650-1) unstable; urgency=medium

  * New upstream version 5.0.0.2650

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 21 Sep 2020 11:24:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,10 @@
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               emacs | org-mode,
-               elpa-htmlize,
+Build-Depends: autoconf-archive,
+               debhelper-compat (= 12),
                gnuplot-nox,
                gobject-introspection,
-               gtk-doc-tools,
                libbullet-dev,
                libg3d-dev,
                libg3d-plugins,
@@ -20,10 +18,13 @@
                python3-gi,
                python3-matplotlib,
                python3-tk
+Build-Depends-Indep: emacs | org-mode <!nodoc>,
+                     elpa-htmlize <!nodoc>,
+                     gtk-doc-tools <!nodoc>
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/hkl
 Vcs-Git: https://salsa.debian.org/science-team/hkl.git
-Homepage: https://www.synchrotron-soleil.fr/portal/page/portal/Instrumentation/EnvironnementInstrumental/hkl
+Homepage: https://repo.or.cz/hkl.git
 
 Package: ghkl
 Architecture: any

=== debian/tests/control ===
Tests: build python3
Depends:
 build-essential,
 libhkl-dev,
 pkg-config,
 gir1.2-hkl-5.0,
 python3,
 python3-gi

## hkl 5.0.0.2816

=== debian/changelog ===
hkl (5.0.0.2816-2build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:32:29 +0000

hkl (5.0.0.2816-2) unstable; urgency=medium

  * Bug fix: "binary-any FTBFS due to missing build dependency on
    gtk-doc-tools", thanks to Adrian Bunk (Closes: #994484).
    The autogens.sh scripts expect gtk-doc-tools.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 18 Sep 2021 10:41:33 +0200

hkl (5.0.0.2816-1) unstable; urgency=medium

  * New upstream version 5.0.0.2816
  * Bump debhelper from old 12 to 13.
  * Apply multi-arch hints. + libhkl-doc: Add Multi-Arch: foreign.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 16 Sep 2021 15:05:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: hkl
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: optional
 Build-Depends: autoconf-archive,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                gnuplot-nox,
                gobject-introspection,
+               gtk-doc-tools,
                libbullet-dev,
                libg3d-dev,
                libg3d-plugins,
@@ -19,8 +21,7 @@
                python3-matplotlib,
                python3-tk
 Build-Depends-Indep: emacs | org-mode <!nodoc>,
-                     elpa-htmlize <!nodoc>,
-                     gtk-doc-tools <!nodoc>
+                     elpa-htmlize <!nodoc>
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/hkl
 Vcs-Git: https://salsa.debian.org/science-team/hkl.git
@@ -82,6 +83,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, libjs-mathjax
+Multi-Arch: foreign
 Description: diffractometer computation control library - documentation
  The hkl library is a framework for diffraction computation and
  diffractometer control, heavily used at the SOLEIL synchrotron. It

## hkl 5.0.0.2875

=== debian/changelog ===
hkl (5.0.0.2875-1) unstable; urgency=medium

  [ Neil Williams ]
  * Update control to add Debian PaN maintainers

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 5.0.0.2875
  * Update standards version to 4.6.0, no changes needed.
  * wrap-and-sort -ast

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 08 Dec 2021 10:44:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,40 @@
 Source: hkl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
+Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
+Uploaders:
+ Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
+ Picca Frédéric-Emmanuel <picca@debian.org>,
 Section: science
 Priority: optional
-Build-Depends: autoconf-archive,
-               debhelper-compat (= 13),
-               gnuplot-nox,
-               gobject-introspection,
-               gtk-doc-tools,
-               libbullet-dev,
-               libg3d-dev,
-               libg3d-plugins,
-               libgirepository1.0-dev,
-               libgsl0-dev | libgsl-dev,
-               libgtk-3-dev,
-               libgtkglext1-dev,
-               libyaml-dev,
-               python3-gi,
-               python3-matplotlib,
-               python3-tk
-Build-Depends-Indep: emacs | org-mode <!nodoc>,
-                     elpa-htmlize <!nodoc>
-Standards-Version: 4.5.0
+Build-Depends:
+ autoconf-archive,
+ debhelper-compat (= 13),
+ gnuplot-nox,
+ gobject-introspection,
+ gtk-doc-tools,
+ libbullet-dev,
+ libg3d-dev,
+ libg3d-plugins,
+ libgirepository1.0-dev,
+ libgsl0-dev | libgsl-dev,
+ libgtk-3-dev,
+ libgtkglext1-dev,
+ libyaml-dev,
+ python3-gi,
+ python3-matplotlib,
+ python3-tk,
+Build-Depends-Indep:
+ elpa-htmlize <!nodoc>,
+ emacs | org-mode <!nodoc>,
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/hkl
 Vcs-Git: https://salsa.debian.org/science-team/hkl.git
 Homepage: https://repo.or.cz/hkl.git
 
 Package: ghkl
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: diffractometer computation control application
  The hkl library is a framework for diffraction computation and
  diffractometer control, heavily used at the SOLEIL synchrotron. It
@@ -45,10 +49,13 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: libhkl-doc
-Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ libhkl-doc,
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: diffractometer computation control library
  The hkl library is a framework for diffraction computation and
  diffractometer control, heavily used at the SOLEIL synchrotron. It
@@ -62,13 +69,15 @@
 Package: libhkl-dev
 Architecture: any
 Section: libdevel
-Depends: gir1.2-hkl-5.0 (= ${binary:Version}),
-         install-info,
-         libglib2.0-dev,
-         libgsl-dev | libgsl0-dev,
-         libhkl5 (= ${binary:Version}),
-         ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ gir1.2-hkl-5.0 (= ${binary:Version}),
+ install-info,
+ libglib2.0-dev,
+ libgsl-dev | libgsl0-dev,
+ libhkl5 (= ${binary:Version}),
+ ${misc:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: diffractometer computation control library - development files
  The hkl library is a framework for diffraction computation and
  diffractometer control, heavily used at the SOLEIL synchrotron. It
@@ -82,7 +91,9 @@
 Package: libhkl-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-mathjax
+Depends:
+ libjs-mathjax,
+ ${misc:Depends},
 Multi-Arch: foreign
 Description: diffractometer computation control library - documentation
  The hkl library is a framework for diffraction computation and
@@ -98,10 +109,12 @@
 Architecture: any
 Multi-Arch: same
 Section: introspection
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${gir:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: diffractometer computation control library - gir binding
  The hkl library is a framework for diffraction computation and
  diffractometer control, heavily used at the SOLEIL synchrotron. It

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export MPLCONFIGDIR=$(CURDIR)
export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with=gir

override_dh_clean:
	rm -f Documentation/api/hkl-docs.sgml
	dh_clean

override_dh_autoreconf:
	-./autogen.sh
	dh_autoreconf

override_dh_auto_configure-indep: docflags = \
	--enable-gtk-doc \
	--htmldir=/usr/share/doc/libhkl-doc \
	--with-mathjax=/usr/share/javascript/mathjax/MathJax.js?config=TeX-AMS_HTML

override_dh_auto_configure-arch: docflags = --disable-gtk-doc --disable-hkl-doc

override_dh_auto_configure-arch override_dh_auto_configure-indep:
	dh_auto_configure -- $(docflags) --enable-hkl3d

override_dh_auto_install-arch:
	dh_auto_install

	# ghkl
	dh_install -p ghkl usr/bin
	dh_install -p ghkl usr/share/applications
	dh_install -p ghkl usr/share/hkl
	dh_install -p ghkl usr/share/man

	# gir1.2-hkl-5.0
	dh_install -p gir1.2-hkl-5.0 usr/lib/*/girepository-1.0

	# libhkl-dev
	dh_install -p libhkl-dev usr/include
	dh_install -p libhkl-dev usr/lib/*/lib*.so
	dh_install -p libhkl-dev usr/lib/*/libhkl-binoculars.a
	dh_install -p libhkl-dev usr/lib/*/pkgconfig/*.pc
	dh_install -p libhkl-dev usr/share/gir-1.0/

	# libhkl5
	dh_install -p libhkl5 usr/lib/*/lib*.so.*

override_dh_auto_install-indep:
	dh_auto_build -- install-html DESTDIR="$(DESTDIR)"
	dh_auto_build -- install-data DESTDIR="$(DESTDIR)"

	# libhkl-doc
	dh_install -p libhkl-doc usr/share/doc
	dh_install -p libhkl-doc usr/share/gtk-doc

override_dh_missing:
	dh_missing --list-missing -Xlibhkl.la -Xlibhkl.a

=== debian/tests/control ===
Tests: build python3
Depends:
 build-essential,
 gir1.2-hkl-5.0,
 libhkl-dev,
 pkg-config,
 python3,
 python3-gi,
